Plugin Menu "Selection"
-
I have in the plugin memu, the item "Selection". This menu item has the right side arrow head indicating it has a sub menu. However, when I click or hover on Selection nothing happens.
Is anyone else having problem with this menu item? Also to what script does this menu item belong?
Thanks in advance
PC, Vista, latest version of Sketchup.
Ken
-
Yes, I have the same issue on at least one of the machines I use. I primarily use Sketchup 6 at home and Sketchup 6 pro at work. I have not used this menu item for some time, but try this, if you haven't already. Select something first and then invoke the Selection command you are talking about and see if the flyout menu items appear. I think this is part of a plugin by thomthom, but not sure. I will check this out, get back.
mitcorb -
Ken:
I tried a few things with simple geometry.
After selecting and right clicking for context menu, Selection shows up and the arrow flies out. I get "Extend edges".
I just happened to have a couple of stray lines one headed in the x direction and one headed in the y direction and both capable of intersecting, that is in this case one was on a collision course with the other if it was extended. It worked like Extend in Autocad. Select the line you want to extend to and then call the command with a right click selection and flyout then select the line you want to extend. In my case this worked under this condition. I did not do a whole lot of additional testing.
Apparently, the Plugin menu instance of the command is non functional, and the context menu instance is the one that works.mitcorb
-
Ken:
Is the next item in the Plugins menu after Selection, Extend Edges? If so, that means that the flyout feature is dead and the command is in the menu. Some glitch in the ruby, maybe. -
@mitcorb said:
Ken:
Is the next item in the Plugins menu after Selection, Extend Edges? If so, that means that the flyout feature is dead and the command is in the menu. Some glitch in the ruby, maybe.Well, you are right. The next menu item is "Extend Edges".
Could some one please tell me which script the item, "Selection" is associated with. I know ending the sentence in a preposition.
It would be nice if a script had in it's name, a reference to the menu item, e.g. "Script Name-Selection-Author initials". I know the script's name would be long, however it would make it easier to try and figure out what is going on.
Thanks for your help. Now, if I just knew what to do next. Heck, now if I even could figure out what "Selection" was intended to do. I was trying to find a script that would erase construction lines. I know I have it somewhere.
Ken
-
See Edit>Delete Guides native SU command to delete the dotted lines created for example with Tape Measure.
-
@mitcorb said:
See Edit>Delete Guides native SU command to delete the dotted lines created for example with Tape Measure.
Thanks for the info, however, I only wanted to delete the construction lines, not the construction points.
Again thanks
Ken
-
@unknownuser said:
@mitcorb said:
See Edit>Delete Guides native SU command to delete the dotted lines created for example with Tape Measure.
Thanks for the info, however, I only wanted to delete the construction lines, not the construction points.
Again thanks
Ken
There are a couple of scripts I did to delete cpoints and clines separately - see http://www.sketchucation.com/extensions-index/ Author TIG names start with 'DeleteCon...' Available on Didier Bur's site http://www.crai.archi.fr/RubyLibraryDepot/Ruby/em_edi_page.htm
-
Tig
I went looking and found your erase Clines. It worked like a champ.
I though there was a script that allowed me to select, Cline, Cpoints, an etc. I can't seem to find that script now.
Thanks for all your scripts.
Ken
-
@unknownuser said:
I though there was a script that allowed me to select, Cline, Cpoints, an etc. I can't seem to find that script now.
You can use my Selection Toys plugin to filter out different types of entities from the selection. But it will not search and find all in model.
-
@unknownuser said:
Tig
I went looking and found your erase Clines. It worked like a champ.
I though there was a script that allowed me to select, Cline, Cpoints, an etc. I can't seem to find that script now.
Thanks for all your scripts.
KenIt's easy enough - this code snippet can be copy/pasted into a text file in Plugins named something like
selectCgeom.rb
### TIG 2009 (c) ### various construction (guide) geometry selection methods... ### def selectactiveclines() model=Sketchup.active_model ents=model.active_entities cgeom=[] ents.each{|e|cgeom<<e if e.class==Sketchup;;ConstructionLine} ss=model.selection ss.clear ss.add(cgeom) end#def def selectmodelclines() model=Sketchup.active_model ents=model.entities cgeom=[] ents.each{|e|cgeom<<e if e.class==Sketchup;;ConstructionLine} ss=model.selection ss.clear ss.add(cgeom) end#def def selectallclines() model=Sketchup.active_model ents=model.entities cgeom=[] ents.each{|e|cgeom<<e if e.class==Sketchup;;ConstructionLine} defs=model.definitions defs.each{|d|d.entities.each{|e|cgeom<<e if e.class==Sketchup;;ConstructionLine}} ss=model.selection ss.clear ss.add(cgeom) end#def ### ### def selectactivecpoints() model=Sketchup.active_model ents=model.active_entities cgeom=[] ents.each{|e|cgeom<<e if e.class==Sketchup;;ConstructionPoint} ss=model.selection ss.clear ss.add(cgeom) end#def def selectmodelcpoints() model=Sketchup.active_model ents=model.entities cgeom=[] ents.each{|e|cgeom<<e if e.class==Sketchup;;ConstructionPoint} ss=model.selection ss.clear ss.add(cgeom) end#def def selectallcpoints() model=Sketchup.active_model ents=model.entities cgeom=[] ents.each{|e|cgeom<<e if e.class==Sketchup;;ConstructionPoint} defs=model.definitions defs.each{|d|d.entities.each{|e|cgeom<<e if e.class==Sketchup;;ConstructionPoint}} ss=model.selection ss.clear ss.add(cgeom) end#def ### ### def selectactivecgeom() model=Sketchup.active_model ents=model.active_entities cgeom=[] ents.each{|e|cgeom<<e if e.class==Sketchup;;ConstructionPoint or e.class==Sketchup;;ConstructionLine} ss=model.selection ss.clear ss.add(cgeom) end#def def selectmodelcgeom() model=Sketchup.active_model ents=model.entities cgeom=[] ents.each{|e|cgeom<<e if e.class==Sketchup;;ConstructionPoint or e.class==Sketchup;;ConstructionLine} ss=model.selection ss.clear ss.add(cgeom) end#def def selectallcgeom() model=Sketchup.active_model ents=model.entities cgeom=[] ents.each{|e|cgeom<<e if e.class==Sketchup;;ConstructionPoint or e.class==Sketchup;;ConstructionLine} defs=model.definitions defs.each{|d|d.entities.each{|e|cgeom<<e if e.class==Sketchup;;ConstructionPoint or e.class==Sketchup;;ConstructionLine}} ss=model.selection ss.clear ss.add(cgeom) end#def ### ### It works for all active, all in model (including inactive) and 'all' including those within definitions ### It works for clines or cpoints or both ### E.G. in the console type selectactiveclines to make your selections etc ### I'll leave the menus up to you...
-
Tig
Thanks for the info and the help. However, I found the script I was looking for, ConsDeleteContext.rb, which is one of your scripts. I just forgot that it is a context selected script.
So now I am working again. Maybe I will make a small database with all the scripts that I have or can find, and enter just what they do, who made the script and how to activate the script. As soon as I get the time.
Tig, again thanks for your scripts.
Ken
Advertisement